use super::UnsignedNumber;

#[derive(Debug, PartialEq, Eq, Clone, Copy, Hash, PartialOrd, Ord)]
pub struct SeedRange {
    start: UnsignedNumber,
    end: UnsignedNumber,
}

impl SeedRange {
    pub fn new(start: UnsignedNumber, end: UnsignedNumber) -> Self {
        assert!(end >= start);
        Self { start, end }
    }

    pub fn start(&self) -> UnsignedNumber {
        self.start
    }

    pub fn end(&self) -> UnsignedNumber {
        self.end
    }
}
